NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_ftruncate(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_ftruncate - truncate an open Tcl channel to a specified length

## Table Of Contents

## Synopsis

- ns_ftruncate fileId ?length?

## Description

This command truncates an open Tcl channel fileId to the size of length bytes. If length is not specified then it is assumed to be zero. This command is similar to the TclX [ftruncate] command.

## COMMANDS

ns_ftruncate fileId ?length?

## See Also

nsd

## Keywords

TclX, ftruncate